package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrAboveall;

/**
 * PSSRService接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrAboveallService 
{
    /**
     * 查询PSSR
     * 
     * @param id PSSRID
     * @return PSSR
     */
    public TPssrAboveall selectTPssrAboveallById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询PSSR列表
     * 
     * @param tPssrAboveall PSSR
     * @return PSSR集合
     */
    public List<TPssrAboveall> selectTPssrAboveallList(TPssrAboveall tPssrAboveall);

    /**
     * 新增PSSR
     * 
     * @param tPssrAboveall PSSR
     * @return 结果
     */
    public int insertTPssrAboveall(TPssrAboveall tPssrAboveall);

    /**
     * 修改PSSR
     * 
     * @param tPssrAboveall PSSR
     * @return 结果
     */
    public int updateTPssrAboveall(TPssrAboveall tPssrAboveall);

    /**
     * 批量删除PSSR
     * 
     * @param ids 需要删除的PSSRID
     * @return 结果
     */
    public int deleteTPssrAboveallByIds(Long[] ids);

    /**
     * 删除PSSR信息
     * 
     * @param id PSSRID
     * @return 结果
     */
    public int deleteTPssrAboveallById(Long id);
}
